html{
  height : 100%;
  width : 100%;
  overflow : hidden;
}
body {
  height : 100%;
  padding : 0;
  overflow : hidden;
  margin : 0;
  /* -webkit-overflow-scrolling : touch; */
  font-family : 'Lato', sans-serif;
}
  body .tab{
    display : none;
  }
    body .tab.active{
      display : block;
    }
  body button, body a{
    cursor : pointer;
  }
  body button, body input[type="email"], body input[type="text"], body input[type="password"], body textarea{
    outline : none;
  }
  body input[type="email"]:focus, body input[type="password"]:focus{
    border-color : #94bbca!important;
  }
  body .box{
    position : relative;
    height : 100vh;
    width : 100%;
    display : flex;
  }
    body .box#login{
      background-color : #B1DEF0;
      height : calc(100vh - 80px);
      padding-bottom : 80px;
      transition : all 2s;
    }
      body .box#login.home{
        margin-top : -100vh;
      }
    body .box .center{
      margin : auto;
      max-width : calc(100% - 20px * 2);
    }
      body .box#login .bottom{
        height : 20px;
        width : 100%;
        position : absolute;
        left : 0px;
        bottom : 0px;
        border-bottom : 90vh solid white;
        transition : all 2s;
        z-index : 1;
      }
        body .box#login .bottom.connected{
          border-bottom-width : 60px;
        }
        body .box#login .bottom .b, body .box#login .bottom .f{
          position : absolute;
          top : 0px;
          left : 0px;
          height : 20px;
          width : 100%;
          background-size : contain;
          background-repeat : repeat;
          background-position : center center;
          animation-iteration-count : infinite;
          animation-timing-function : linear;
        }
          body .box#login .bottom .b{
            background-image : url(../img/wave_1.png);
            animation-name : login_wave_1;
            animation-duration : 1.4s;
          }
          body .box#login .bottom .f{
            background-image : url(../img/wave_2.png);
            animation-name : login_wave_2;
            animation-duration : 0.7s;
          }
        body .box#login .bottom .v_center{
          width : 100%;
          position : absolute;
          height : 60px;
          left : 0px;
          bottom : -60px;
          transition : all 0.5s;
          opacity : 0;
        }
          body .box#login .bottom .v_center.connected{
            opacity : 1;
          }
          body .box#login .bottom .v_center table{
            margin-left : auto;
            margin-right : auto;
            height : 60px;
          }
            body .box#login .bottom .v_center table tbody tr td a{
              padding : 0px 20px;
              font-size : 12px;
              text-transform : uppercase;
            }
      body .box#login .center{
        width : 320px;
        z-index : 2;
      }
      body .box#login .center .logo{
        height : 250px;
        width : 250px;
        background-size : cover;
        background-position : center center;
        background-image : url(../img/logo/500.png);
        margin-left : auto;
        margin-right : auto;
        position : relative;
      }
        body .box#login .center .logo.angry{
          background-image : url(../img/logo/500_angry.png);
        }
        body .box#login .center .logo .message{
          position : absolute;
          top : 0px;
          left : 100%;
          background-color : white;
          border : 3px solid black;
          padding : 10px;
          border-radius : 5px;
          border-bottom-left-radius : 0px;
          display : none;
        }
          body .box#login .center .logo .message.active{
            display : table;
          }
          body .box#login .center .logo .message:before{
            content : "";
            position : absolute;
            bottom : -3px;
            left : calc((10px + 3px) * -1);
            width: 0;
            height: 0;
            border-style: solid;
            border-width: 0 0px 10px 10px;
            border-color: transparent transparent black transparent;
          }
      body .box#login .center h1{
        width : 100%;
        text-align : center;
        font-size : 36px;
        margin : 0px;
        transition : all 2s;
      }
        body .box#login .center h1.connected{
          margin-bottom : 39px;
        }
      body .box#login .center .form{
        height : 0px;
        opacity : 0;
        transition : all 2s;
      }
        body .box#login .center .form.connected{
          height : 207px;
        }
        body .box#login .center .form.show{
          transition-duration : 0.5s;
          opacity : 1;
        }
      body .box#login .center input:not([type="checkbox"]){
        width : calc(100% - (15px + 1px) * 2);
        height : 20px;
        line-height : 20px;
        padding : 10px 15px;
        border : 1px solid #CCCCCC;
        border-radius : 5px;
        margin-bottom : 20px;
        font-size : 17px;
      }
      body .box#login .center input[type="checkbox"]{
        cursor : pointer;
      }
      body .box#login .center label{
        color : white;
        font-size : 14px;
        margin-left : 5px;
        cursor : pointer;
      }
        body .box#login .center .tab:last-child label{
          margin-left  : 0px;
          cursor : default;
          margin-bottom : 20px;
          display : block;
          text-align : justify;
        }
          body .box#login .center .tab:last-child label a{
            color : #94bbca;
            text-decoration : none;
          }
      body .box#login .center button{
        width : 100%;
        height : 42px;
        border : 0px;
        border-radius : 5px;
        background-color : #94bbca;
        color : white;
        text-transform : uppercase;
        margin-bottom : 20px;
        font-size : 17px;
      }
      body .box .center .v_center{
        margin-left : auto;
        margin-right : auto;
        display : table;
      }
    body .box#home{
      background-color : white;
    }
      body .box#home .left{
        float : left;
        width : 419px;
        border-right : 1px solid #CCCCCC;
      }
        body .box#home .left .top{
          width : 100%;
          height : 49px;
          border-bottom : 1px solid #CCCCCC;
        }
          body .box#home .left .top .l{
            width : 49px;
            height : 49px;
            float : left;
            text-align : center;
            line-height : 49px;
            font-size : 26px;
            color : #C37060;
            cursor : pointer;
          }
          body .box#home .left .top .m{
            width : calc(100% - 49px * 2);
            height : 49px;
            float : left;
            text-align : center;
            line-height : 49px;
            font-size : 16px;
            font-weight : bold;
          }
          body .box#home .left .top .r{
            width : 49px;
            height : 49px;
            float : left;
            text-align : center;
            line-height : 49px;
            font-size : 26px;
            color : #C37060;
            cursor : pointer;
          }
        body .box#home .left .bottom{
          width : 100%;
          height : calc(100% - 49px - 1px);
          position : relative;
        }
          body .box#home .left .bottom:after{
            position : absolute;
            top : 0px;
            left : 12px;
            width : 20px;
            text-align : center;
            line-height : 30px;
            content : "\f002";
            font-family : FontAwesome;
            top : 12px;
            left : 24px;
            color : #757575;
          }
          body .box#home .left .bottom input[type="email"]{
            margin : 12px;
            border-radius : 5px;
            background-color : #F6F7F9;
            width : calc(100% - 44px - 12px - 12px * 2);
            border : 0px;
            height : 30px;
            font-size : 14px;
            padding : 0px 12px 0px 44px;
          }
          body .box#home .left .bottom ul.search{
            display : none;
          }
            body .box#home .left .bottom ul.search.active{
              display : block;
            }
          body .box#home .left .bottom ul.search, body .box#home .left .bottom ul.conversations{
            position : absolute;
            top : 54px;
            left : 0px;
            background-color : white;
            width : calc(100%);
            height : calc(100% - 54px);
            padding : 0px;
            margin : 0px;
          }
            body .box#home .left .bottom ul.search li, body .box#home .left .bottom ul.conversations li{
              height : 32px;
              line-height : 32px;
              font-size : 14px;
              cursor : pointer;
              padding : 12px;
              position : relative;
            }
              body .box#home .left .bottom ul.search li:hover, body .box#home .left .bottom ul.conversations li:hover{
                background-color : #f2f2f2;
              }
              body .box#home .left .bottom ul.search li i, body .box#home .left .bottom ul.conversations li i{
                margin-right : 12px;
                float : left;
                line-height : 32px;
                font-size : 32px;
              }
              body .box#home .left .bottom ul.conversations li p.title{
                font-size : 15px;
                line-height : 15px;
                position : absolute;
                top : 12px;
                left : 56px;
                margin : 0px;
                display : inline-block;
                width : calc(100% - 56px - 12px);
                white-space : nowrap;
                overflow : hidden;
                text-overflow : ellipsis;
              }
              body .box#home .left .bottom ul.conversations li p.message{
                font-size : 13px;
                line-height : 13px;
                position : absolute;
                top : 31px;
                left : 56px;
                margin : 0px;
                display : inline-block;
                width : calc(100% - 56px - 12px);
                white-space : nowrap;
                overflow : hidden;
                text-overflow : ellipsis;
                color : #999999;
              }
              body .box#home .left .bottom ul.conversations li p.date{
                font-size : 13px;
                line-height : 13px;
                position : absolute;
                top : 12px;
                right : 12px;
                margin : 0px;
                display : inline-block;
                text-align : right;
                white-space : nowrap;
                overflow : hidden;
                text-overflow : ellipsis;
                color : rgba(0, 0, 0, 0.40);
              }
      body .box#home .right{
        float : left;
        width : calc(100% - 419px - 1px);
      }
        body .box#home .right .top{
          width : 100%;
          height : 49px;
          border-bottom : 1px solid #CCCCCC;
          text-align : center;
          line-height : 49px;
          font-size : 14px;
          color : black;
        }
        body .box#home .right .middle{
          width : 100%;
          height : calc(100% - (49px - 1px) * 2 - 15px);
          overflow-y : auto;
          overflow-x : hidden;
          padding-top : 15px;
        }
          body .box#home .right .middle .message{
            width : 100%;
            position : relative;
          }
            body .box#home .right .middle .message .circle{
              border-radius : 50%;
              height : 28px;
              width : 28px;
              position : relative;
              margin : 0px 8px;
            }
              body .box#home .right .middle .message .circle:after{
                position : absolute;
                top : 0px;
                left : 0px;
                height : 100%;
                width : 100%;
                font-size : 28px;
                line-height : 28px;
                text-align : center;
                content : "\f2bd";
                font-family : FontAwesome;
              }
              body .box#home .right .middle .message.left .circle{
                float : left;
              }
              body .box#home .right .middle .message.right .circle{
                float : right;
              }
            body .box#home .right .middle .message .text{
              border-radius : 1.3em;
              padding : 6px 12px;
              margin : 0px 0px 15px 0px;
              max-width : 55%;
              position : relative;
            }
              body .box#home .right .middle .message.left .text{
                background-color : #f1f0f0;
                color : black;
                float : left;
              }
              body .box#home .right .middle .message.right .text{
                background-color : #0084ff;
                color : white;
                float : right;
              }
              body .box#home .right .middle .message .text .date{
                position : absolute;
                color : white;
                background-color : #282828;
                border-radius : 2px;
                font-size : 12px;
                line-height : 16px;
                padding : 6px 8px;
                top : 50%;
                transform : translateY(-50%);
                white-space : nowrap;
                display : none;
              }
                body .box#home .right .middle .message .text .date:after{
                  position : absolute;
                  content : "";
                  top : 50%;
                  transform : translateY(-50%);
                    width : 0;
                    height : 0;
                    border-style : solid;
                }
                  body .box#home .right .middle .message.right .text .date:after{
                    left : 100%;
                    border-width : 5px 0 5px 5px;
                    border-color : transparent transparent transparent #282828;
                  }
                  body .box#home .right .middle .message.left .text .date:after{
                    right : 100%;
                    border-width : 5px 5px 5px 0;
                    border-color : transparent #282828 transparent transparent;
                  }
                body .box#home .right .middle .message .text:hover .date{
                  display : block;
                }
                body .box#home .right .middle .message.right .text .date{
                  right : calc(100% + 10px);
                }
                body .box#home .right .middle .message.left .text .date{
                  left : calc(100% + 10px);
                }
        body .box#home .right .bottom{
          width : 100%;
          height : 49px;
          border-top : 1px solid #CCCCCC;
          position : relative;
        }
          body .box#home .right .bottom textarea{
            width : calc(100% - 49px - 14px * 2);
            height : calc(45px - 14px * 2);
            float : left;
            border : 0px;
            padding : 14px;
            resize : none;
            font-size : 14px;
            line-height : 20px;
            overflow : hidden;
          }
          body .box#home .right .bottom button{
            width : 49px;
            height : 49px;
            padding : 0px;
            border : 0px;
            background-color : white;
            position : absolute;
            top : 0px;
            right : 0px;
            font-size : 20px;
            display : none;
            color : #C37060;
          }
            body .box#home .right .bottom button.active{
              display : block;
            }
          body .box#home .right .bottom div{
            width : 49px;
            height : 49px;
            float : left;
            padding : 0px;
            border : 0px;
            background-color : white;
            background-image : url(../../img/logo/200_bw.png);
            background-size : 70%;
            background-position : center center;
            background-repeat : no-repeat;
            transition : all 0.5s;
            cursor : pointer;
          }
            body .box#home .right .bottom div:hover{
              background-image : url(../../img/logo/200.png);
            }
/* ############################################################################################################################################################ */
/* ### ANIMATIONS ############################################################################################################################################# */
/* ############################################################################################################################################################ */

@keyframes login_wave_1{
    0%{
      background-position : 0px 0px;
    }
    100%{
      background-position : 283px 0px;
    }
}
@keyframes login_wave_2{
    0%{
      background-position : 0px 0px;
    }
    100%{
      background-position : -283px 0px;
    }
}
